<div class="container">
  <div class="ml-5">
    <h1>Account Page</h1>
  </div>
   <!-- Thông tin tìm kiếm -->
  <div class="card">
    <div class="card-header">
      <h3>Thông tin tìm kiếm</h3>
    </div>
    <div class="card-body">
      <div class="row">
        <div class="col-4">
            <p>
                <b>Từ khoá</b>
            </p>
            <input type="text" class="form-control" placeholder="Nhập từ khoá tìm kiếm" 
            aria-label="Username" aria-describedby="basic-addon1">
        </div>
        <div class="col-3">
            <p>
                <b>Role</b>
            </p>
            <select id="roleSearch" name="role" class="operator form-control">
                <option value="">--- Mời lựa chọn ---</option>
                <option value="EMPLOYEE">Employee</option>
                <option value="ADMIN">Admin</option>
                <option value="MANAGER">Manager</option>
            </select>
        </div>
        <div class="col-3">
            <p>
                <b>Department</b>
            </p>
            <select id="departmentSearch" name="role" class="operator form-control">
                <option value="">--- Mời lựa chọn ---</option>
                <option value="JAVA">Java</option>
                <option value="PHP">PHP</option>
                <option value="REACT">React</option>
            </select>
        </div>
        <div class="col-2">
            <p>
                <b>Tìm kiếm</b>
            </p>
            <button type="button" class="btn btn-primary">Tìm kiếm</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Dữ liệu Account dạng bảng -->
  <div class="card mt-5">
    <div class="card-header">
      <div class="row">
        <div class="col-9">
            Danh sách account
        </div>
        <div class="col-3">
            <button type="button" class="btn btn-info" data-toggle="modal" 
            data-target="#modalAccount" onclick="openAddAccountModal()">
                <i class="fa fa-plus"></i>
                Thêm mới
            </button>
        </div>
      </div>
    </div>
    <div class="card-body">
        <table class="table">
            <thead class="thead-dark">
              <tr>
                <th scope="col" style="width: 10%;">#</th>
                <th scope="col" style="width: 20%;">Avatar</th>
                <th scope="col" style="width: 30%;">Name</th>
                <th scope="col" style="width: 20%;">Adress</th>
                <th scope="col" style="width: 10%;">Created date</th>
                <th scope="col" style="width: 10%;">Action</th>
              </tr>
            </thead>
            <tbody >
              <tr>
                <th scope="row" class="align-middle">1</th>
                <td class="align-middle">
                    <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_1280.jpg">
                </td>
                <td class="align-middle">Vũ Văn Ước</td>
                <td class="align-middle">Viêt Nam</td>
                <td class="align-middle">2024-07-02T15:14:00.833Z</td>
                <td class="align-middle">
                    <i class="fa fa-pencil text-warning m-1" style="font-size: 24px;"></i>
                    <i class="fa fa-trash text-danger m-1" style="font-size: 24px;"></i>
                </td>
              </tr>

              <tr>
                <th scope="row" class="align-middle">2</th>
                <td class="align-middle">
                    <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_1280.jpg">
                </td>
                <td class="align-middle">Vũ Văn Ước</td>
                <td class="align-middle">Viêt Nam</td>
                <td class="align-middle">2024-07-02T15:14:00.833Z</td>
                <td class="align-middle">
                    <i class="fa fa-pencil text-warning m-1" style="font-size: 24px;"></i>
                    <i class="fa fa-trash text-danger m-1" style="font-size: 24px;"></i>
                </td>
              </tr>
            </tbody>
          </table>
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="modalAccount" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="accountModalTitle">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label for="username"><b>Username </b></label>
          <input type="hidden" id="accountIdUpdate" name="id">

          <input type="text" class="form-control" placeholder="Enter username"
              id="username" required>
      </div>

      <div class="form-group">
          <label for="username"><b>Avatar </b></label>
          <input type="text" class="form-control" placeholder="Enter avatar"
              id="avatar" required>
      </div>

      <div class="form-group">
          <label for="username"><b>Password</b></label>
          <input type="password" class="form-control" placeholder="Enter password"
              id="password" required>
      </div>

      <div class="form-group">
          <label for="username"><b>Adress</b></label>
          <input type="text" class="form-control" placeholder="Enter adress"
              id="address" required>
      </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" onclick="saveAccount()">Save changes</button>
      </div>
    </div>
  </div>
</div>


<script src="./js/account.js"></script>